Summary: A GNU tool for automatically creating Makefiles.
Name: automake
Version: 1.8.5
Release: 3tr
License: GPL
Group: Trustix Official
Source: ftp://ftp.gnu.org/gnu/automake/automake-%{version}.tar.bz2
URL: http://www.gnu.org/software/automake/
BuildRequires: texinfo
Requires: perl
Prereq: htmlinfo
Buildroot: /var/tmp/%{name}-root

%description
Automake is an experimental Makefile generator. Automake was inspired
by the 4.4BSD make and include files, but aims to be portable and to
conform to the GNU standards for Makefile variables and targets.

You should install Automake if you are developing software and would
like to use its capabilities of automatically generating GNU
standard Makefiles. if you install Automake, you will also need to
install GNU's Autoconf package.

%prep
%setup -q

%build

%configure

make
pushd doc
makeinfo --html --no-split %{name}.texi
popd

%install
[ -n "$RPM_BUILD_ROOT" -a "$RPM_BUILD_ROOT" != / ] && rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT
install -m 755 -d $RPM_BUILD_ROOT/usr/share/html/%{name}
install -m 755 -d $RPM_BUILD_ROOT/usr/share/aclocal
install -m 644  doc/%{name}.html $RPM_BUILD_ROOT/usr/share/html/%{name}/
rm -rf $RPM_BUILD_ROOT/usr/share/info

%clean
[ -n "$RPM_BUILD_ROOT" -a "$RPM_BUILD_ROOT" != / ] && rm -rf $RPM_BUILD_ROOT

%post
/usr/sbin/htmlinfo_update.sh

%postun
/usr/sbin/htmlinfo_update.sh

%files
%defattr(-,root,root,0755)
%doc AUTHORS COPYING ChangeLog INSTALL NEWS README THANKS TODO
/usr/bin/*
/usr/share/aclocal
/usr/share/aclocal-*
/usr/share/automake-*
/usr/share/html/%{name}

%changelog
* Tue Mar 15 2005 Bipin S <bipin at comodo dot com> 1.8.5-2tr
- Rebuilt

* Mon Mar 07 2005 Ajith Thampi <ajith at comodo dot com> 1.8.5-1tr
- New Upstream

* Tue Nov  9 2004 Erlend Midttun <erlendbm at trustix dot org> 1.8.2-5tr
- Now also own /usr/share/aclocal

* Tue Feb 10 2004 Chr. Toldnes <christht at trustix dot org> 1.8.2-2ct
- automake.texi had moved to doc

* Sat Feb  7 2004 Omar Kilani <ok at trustix dot org> 1.8.2-1ok
- New upstream.

* Sun Dec  7 2003 Erlend Midttun <erlendbm at trustix dot org> 1.7.9-1tr
- New upstream.

* Wed Jun 18 2003 Erlend Midttun <erlendbm at trustix dot com> 1.7.5-2tr
- Big rebuild

* Thu May 22 2003 Erlend Midttun <erlendbm at trustix dot com> 1.7.5-1em
- New upstream

* Mon Mar 24 2003 Erlend Midttun <erlendbm at trustix dot com> 1.6.2-3em
- Rebuilt against glibc 2.3.2.

* Thu Oct 24 2002 Christian H. Toldnes <chrsitht at trustix dot com> 1.6.2-2ct
- Replaced info with htmlinfo.
- new buildreq and prereq.

* Thu Jul 18 2002 Nico Erfurth <masta at trustix dot org> 1.6.2-1ne
- Updated to 1.6.2
- Patches removed, the new package includes them

* Thu May 30 2002 Christian H. Toldnes <christht at trustix dot com>
- Rebuild with -1ct releasetag.

* Fri Feb 01 2002 Erlend Midttun <erlendbm at trustix dot com>
- New upstream version: 1.5

* Fri Jun  1 2001 Oystein Viggen <oysteivi at trustix dot com>
- New upstream version: 1.4-p2

* Tue Apr 17 2001 Erlend Midttun <erlendbm at trustix dot com>
- God alone knows how this used to build, but it does now.

* Wed Mar 01 2000 Lars Gaarden <larsg at trustix dot com>
- /usr/share/info/dir should not be part of the package

* Mon Feb 28 2000 Lars Gaarden <larsg at trustix dot com>
- moved info files to /usr/share/info, FHS

* Sat Aug 21 1999 Jeff Johnson <jbj@redhat.com>
- revert to pristine automake-1.4.

* Mon Mar 22 1999 Preston Brown <pbrown@redhat.com>
- arm netwinder patch

* Wed Feb 24 1999 Preston Brown <pbrown@redhat.com>
- Injected new description and group.

* Mon Feb  8 1999 Jeff Johnson <jbj@redhat.com>
- add patches from CVS for 6.0beta1

* Sun Jan 17 1999 Jeff Johnson <jbj@redhat.com>
- update to 1.4.

* Mon Nov 23 1998 Jeff Johnson <jbj@redhat.com>
- update to 1.3b.
- add URL.

* Fri Apr 24 1998 Prospector System <bugs@redhat.com>
- translations modified for de, fr, tr

* Tue Apr 07 1998 Erik Troan <ewt@redhat.com>
- updated to 1.3

* Tue Oct 28 1997 Cristian Gafton <gafton@redhat.com>
- added BuildRoot; added aclocal files

* Fri Oct 24 1997 Erik Troan <ewt@redhat.com>
- made it a noarch package

* Thu Oct 16 1997 Michael Fulbright <msf@redhat.com>
- Fixed some tag lines to conform to 5.0 guidelines.

* Thu Jul 17 1997 Erik Troan <ewt@redhat.com>
- updated to 1.2

* Wed Mar 5 1997 msf@redhat.com <Michael Fulbright>
- first version (1.0)

